Bug 215078 - yum rpm db hashing fails
yum rpm db hashing fails
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: yum (Show other bugs)
6
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jeremy Katz
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-11-10 15:27 EST by Piergiorgio Sartor
Modified: 2014-01-21 17:55 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-03-23 11:44:57 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Piergiorgio Sartor 2006-11-10 15:27:04 EST
Description of problem:
The command:

package-cleanup --problems

fails with:

Setting up yum
Reading local RPM database
Processing all local requires
Traceback (most recent call last):
  File "/usr/bin/package-cleanup", line 349, in ?
    main()
  File "/usr/bin/package-cleanup", line 346, in main
    provsomething = buildProviderList(my,pkgs,opts.problems)
  File "/usr/bin/package-cleanup", line 85, in buildProviderList
    resolve_sack = my.rpmdb.whatProvides(req,rflags,ver)
  File "/usr/lib/python2.4/site-packages/yum/rpmsack.py", line 364, in whatProvides
    morepkgs = self.searchFiles(name)
  File "/usr/lib/python2.4/site-packages/yum/rpmsack.py", line 103, in searchFiles
    if not result.has_key(pkg.pkgid):
TypeError: list objects are unhashable


Version-Release number of selected component (if applicable):
yum-3.0-6

How reproducible:
Always on one system (A), never on a second system (B)

Steps to Reproduce:
1.
As above.
2.
3.
  
Actual results:
It fails.

Expected results:
Problems should be reported, if any.

Additional info:
The issue is reported to yum and not yum-utils, because
/usr/lib/python2.4/site-packages/yum/rpmsack.py belongs to the first one.
System (A) is FC5->FC6 upgraded system. The procedure was a "clean" DVD upgrade.
The rpm db was (after the problem) rebuild, and yum, yum-utils,
python-elementree re-installed.
System (B) was upgraded also from FC5, but "live" (simple yum upgrade).
Googling around shows that pythont2.4 introduced an exception, raised in certain
case when list/tuples/db or whatever are converted into each other.
My suspect is the the rpm db in (A) has some element which are not digested by
the python code, unfortunately I was not able to find what (if any at all).
Comment 1 Jeremy Katz 2006-11-15 23:07:51 EST
What version of yum-utils is installed on both?  I can't see how this would
happen at least from a quick look (and don't hit it with my laptop here)
Comment 2 Piergiorgio Sartor 2006-11-17 17:12:52 EST
Well, yum-utils should be the same (latest from Extras) on both PCs, that is
yum-utils-1.0.1-1.fc6.
As I mentioned, I googled for this "TypeError: list objects are unhashable"
related to python, and it seems to be something introduced recently.
Maybe you should look into this exception and, since I'm not a python expert,
suggest me where and how could I track down the problem.
I mean, I have no idea on how to debug this thing, eventually there is a way to
know where exactly it fails, but I do not know.
For example, running "python /usr/lib/python2.4/site-packages/yum/rpmsack.py"
alone produces the list of records of the rpm db, without errors.
I guess, you confirm or not, this output is processed after and the error occurs
or, if it occurs before, it may be due to some paramenters in this rpmsack.py
(if any, I don't know).
In other words, I'm ready to play with the python files, but I need some good
suggestion on what to touch.
Comment 3 Jeremy Katz 2006-11-27 17:06:04 EST
What's the output of 'rpm -V yum yum-utils'?
Comment 4 Piergiorgio Sartor 2006-11-28 14:16:52 EST
(In reply to comment #3)
> What's the output of 'rpm -V yum yum-utils'?

It's empty...
The output of "rpm -Vv yum yum-utils" is as follow, even if the verbose mode
does not seem to add anything more, but one never knows.

........ c /etc/logrotate.d/yum
........   /etc/yum
........ c /etc/yum.conf
........   /etc/yum.repos.d
........   /etc/yum/pluginconf.d
........ c /etc/yum/pluginconf.d/installonlyn.conf
........   /usr/bin/yum
........   /usr/lib/python2.4/site-packages/rpmUtils
........   /usr/lib/python2.4/site-packages/rpmUtils/__init__.py
........   /usr/lib/python2.4/site-packages/rpmUtils/__init__.pyc
........   /usr/lib/python2.4/site-packages/rpmUtils/__init__.pyo
........   /usr/lib/python2.4/site-packages/rpmUtils/arch.py
........   /usr/lib/python2.4/site-packages/rpmUtils/arch.pyc
........   /usr/lib/python2.4/site-packages/rpmUtils/arch.pyo
........   /usr/lib/python2.4/site-packages/rpmUtils/miscutils.py
........   /usr/lib/python2.4/site-packages/rpmUtils/miscutils.pyc
........   /usr/lib/python2.4/site-packages/rpmUtils/miscutils.pyo
........   /usr/lib/python2.4/site-packages/rpmUtils/oldUtils.py
........   /usr/lib/python2.4/site-packages/rpmUtils/oldUtils.pyc
........   /usr/lib/python2.4/site-packages/rpmUtils/oldUtils.pyo
........   /usr/lib/python2.4/site-packages/rpmUtils/transaction.py
........   /usr/lib/python2.4/site-packages/rpmUtils/transaction.pyc
........   /usr/lib/python2.4/site-packages/rpmUtils/transaction.pyo
........   /usr/lib/python2.4/site-packages/rpmUtils/updates.py
........   /usr/lib/python2.4/site-packages/rpmUtils/updates.pyc
........   /usr/lib/python2.4/site-packages/rpmUtils/updates.pyo
........   /usr/lib/python2.4/site-packages/yum
........   /usr/lib/python2.4/site-packages/yum/Errors.py
........   /usr/lib/python2.4/site-packages/yum/Errors.pyc
........   /usr/lib/python2.4/site-packages/yum/Errors.pyo
........   /usr/lib/python2.4/site-packages/yum/__init__.py
........   /usr/lib/python2.4/site-packages/yum/__init__.pyc
........   /usr/lib/python2.4/site-packages/yum/__init__.pyo
........   /usr/lib/python2.4/site-packages/yum/comps.py
........   /usr/lib/python2.4/site-packages/yum/comps.pyc
........   /usr/lib/python2.4/site-packages/yum/comps.pyo
........   /usr/lib/python2.4/site-packages/yum/config.py
........   /usr/lib/python2.4/site-packages/yum/config.pyc
........   /usr/lib/python2.4/site-packages/yum/config.pyo
........   /usr/lib/python2.4/site-packages/yum/constants.py
........   /usr/lib/python2.4/site-packages/yum/constants.pyc
........   /usr/lib/python2.4/site-packages/yum/constants.pyo
........   /usr/lib/python2.4/site-packages/yum/depsolve.py
........   /usr/lib/python2.4/site-packages/yum/depsolve.pyc
........   /usr/lib/python2.4/site-packages/yum/depsolve.pyo
........   /usr/lib/python2.4/site-packages/yum/failover.py
........   /usr/lib/python2.4/site-packages/yum/failover.pyc
........   /usr/lib/python2.4/site-packages/yum/failover.pyo
........   /usr/lib/python2.4/site-packages/yum/logginglevels.py
........   /usr/lib/python2.4/site-packages/yum/logginglevels.pyc
........   /usr/lib/python2.4/site-packages/yum/logginglevels.pyo
........   /usr/lib/python2.4/site-packages/yum/mdparser.py
........   /usr/lib/python2.4/site-packages/yum/mdparser.pyc
........   /usr/lib/python2.4/site-packages/yum/mdparser.pyo
........   /usr/lib/python2.4/site-packages/yum/misc.py
........   /usr/lib/python2.4/site-packages/yum/misc.pyc
........   /usr/lib/python2.4/site-packages/yum/misc.pyo
........   /usr/lib/python2.4/site-packages/yum/packageSack.py
........   /usr/lib/python2.4/site-packages/yum/packageSack.pyc
........   /usr/lib/python2.4/site-packages/yum/packageSack.pyo
........   /usr/lib/python2.4/site-packages/yum/packages.py
........   /usr/lib/python2.4/site-packages/yum/packages.pyc
........   /usr/lib/python2.4/site-packages/yum/packages.pyo
........   /usr/lib/python2.4/site-packages/yum/parser.py
........   /usr/lib/python2.4/site-packages/yum/parser.pyc
........   /usr/lib/python2.4/site-packages/yum/parser.pyo
........   /usr/lib/python2.4/site-packages/yum/pgpmsg.py
........   /usr/lib/python2.4/site-packages/yum/pgpmsg.pyc
........   /usr/lib/python2.4/site-packages/yum/pgpmsg.pyo
........   /usr/lib/python2.4/site-packages/yum/plugins.py
........   /usr/lib/python2.4/site-packages/yum/plugins.pyc
........   /usr/lib/python2.4/site-packages/yum/plugins.pyo
........   /usr/lib/python2.4/site-packages/yum/repoMDObject.py
........   /usr/lib/python2.4/site-packages/yum/repoMDObject.pyc
........   /usr/lib/python2.4/site-packages/yum/repoMDObject.pyo
........   /usr/lib/python2.4/site-packages/yum/repos.py
........   /usr/lib/python2.4/site-packages/yum/repos.pyc
........   /usr/lib/python2.4/site-packages/yum/repos.pyo
........   /usr/lib/python2.4/site-packages/yum/rpmsack.py
........   /usr/lib/python2.4/site-packages/yum/rpmsack.pyc
........   /usr/lib/python2.4/site-packages/yum/rpmsack.pyo
........   /usr/lib/python2.4/site-packages/yum/sqlitecache.py
........   /usr/lib/python2.4/site-packages/yum/sqlitecache.pyc
........   /usr/lib/python2.4/site-packages/yum/sqlitecache.pyo
........   /usr/lib/python2.4/site-packages/yum/sqlitesack.py
........   /usr/lib/python2.4/site-packages/yum/sqlitesack.pyc
........   /usr/lib/python2.4/site-packages/yum/sqlitesack.pyo
........   /usr/lib/python2.4/site-packages/yum/storagefactory.py
........   /usr/lib/python2.4/site-packages/yum/storagefactory.pyc
........   /usr/lib/python2.4/site-packages/yum/storagefactory.pyo
........   /usr/lib/python2.4/site-packages/yum/transactioninfo.py
........   /usr/lib/python2.4/site-packages/yum/transactioninfo.pyc
........   /usr/lib/python2.4/site-packages/yum/transactioninfo.pyo
........   /usr/lib/python2.4/site-packages/yum/update_md.py
........   /usr/lib/python2.4/site-packages/yum/update_md.pyc
........   /usr/lib/python2.4/site-packages/yum/update_md.pyo
........   /usr/lib/python2.4/site-packages/yum/yumRepo.py
........   /usr/lib/python2.4/site-packages/yum/yumRepo.pyc
........   /usr/lib/python2.4/site-packages/yum/yumRepo.pyo
........   /usr/lib/yum-plugins
........   /usr/lib/yum-plugins/installonlyn.py
........   /usr/lib/yum-plugins/installonlyn.pyc
........   /usr/lib/yum-plugins/installonlyn.pyo
........   /usr/share/doc/yum-3.0.1
........ d /usr/share/doc/yum-3.0.1/AUTHORS
........ d /usr/share/doc/yum-3.0.1/COPYING
........ d /usr/share/doc/yum-3.0.1/ChangeLog
........ d /usr/share/doc/yum-3.0.1/INSTALL
........ d /usr/share/doc/yum-3.0.1/README
........ d /usr/share/doc/yum-3.0.1/TODO
........ d /usr/share/man/man5/yum.conf.5.gz
........ d /usr/share/man/man8/yum-shell.8.gz
........ d /usr/share/man/man8/yum.8.gz
........   /usr/share/yum-cli
........   /usr/share/yum-cli/callback.py
........   /usr/share/yum-cli/callback.pyc
........   /usr/share/yum-cli/callback.pyo
........   /usr/share/yum-cli/cli.py
........   /usr/share/yum-cli/cli.pyc
........   /usr/share/yum-cli/cli.pyo
........   /usr/share/yum-cli/i18n.py
........   /usr/share/yum-cli/i18n.pyc
........   /usr/share/yum-cli/i18n.pyo
........   /usr/share/yum-cli/output.py
........   /usr/share/yum-cli/output.pyc
........   /usr/share/yum-cli/output.pyo
........   /usr/share/yum-cli/progress_meter.py
........   /usr/share/yum-cli/progress_meter.pyc
........   /usr/share/yum-cli/progress_meter.pyo
........   /usr/share/yum-cli/shell.py
........   /usr/share/yum-cli/shell.pyc
........   /usr/share/yum-cli/shell.pyo
........   /usr/share/yum-cli/translate.py
........   /usr/share/yum-cli/translate.pyc
........   /usr/share/yum-cli/translate.pyo
........   /usr/share/yum-cli/yumcommands.py
........   /usr/share/yum-cli/yumcommands.pyc
........   /usr/share/yum-cli/yumcommands.pyo
........   /usr/share/yum-cli/yummain.py
........   /usr/share/yum-cli/yummain.pyc
........   /usr/share/yum-cli/yummain.pyo
........   /usr/share/yum-cli/yumupd.py
........   /usr/share/yum-cli/yumupd.pyc
........   /usr/share/yum-cli/yumupd.pyo
........   /var/cache/yum
........   /usr/bin/package-cleanup
........   /usr/bin/repo-graph
........   /usr/bin/repo-rss
........   /usr/bin/repoclosure
........   /usr/bin/repomanage
........   /usr/bin/repoquery
........   /usr/bin/reposync
........   /usr/bin/repotrack
........   /usr/bin/yum-builddep
........   /usr/bin/yumdownloader
........   /usr/share/doc/yum-utils-1.0.1
........ d /usr/share/doc/yum-utils-1.0.1/COPYING
........ d /usr/share/doc/yum-utils-1.0.1/README
........ d /usr/share/man/man1/package-cleanup.1.gz
........ d /usr/share/man/man1/repo-rss.1.gz
........ d /usr/share/man/man1/repoquery.1.gz
........ d /usr/share/man/man1/yum-builddep.1.gz
........ d /usr/share/man/man1/yumdownloader.1.gz
Comment 5 Francis Upton 2007-03-21 16:35:21 EDT
I'm having a similar problem on an FC6 system.  Near as I can tell, it happened
after I installed jikes from an RPM.  Let me know if you need more info.

main /home/francis> yum update
Loading "installonlyn" plugin
Setting up Update Process
Setting up repositories
core                      100% |=========================| 1.1 kB    00:00     
extras                    100% |=========================| 1.1 kB    00:00     
updates                   100% |=========================| 1.2 kB    00:00     
Reading repository metadata in from local files
primary.xml.gz            100% |=========================| 1.5 MB    00:06     
extras    : ################################################## 4605/4605
Excluding Packages in global exclude list
Finished
Resolving Dependencies
--> Populating transaction set with selected packages. Please wait.
---> Package kernel.x86_64 0:2.6.20-1.2925.fc6 set to be installed
---> Package mkinitrd.i386 0:5.1.19.0.3-1 set to be updated
---> Package evolution-data-server.i386 0:1.8.3-3.fc6 set to be updated
---> Package tcpdump.x86_64 14:3.9.4-10.fc6 set to be updated
---> Package compat-gcc-34-c++.x86_64 0:3.4.6-4 set to be updated
---> Downloading header for libwpd to pack into transaction set.
libwpd-0.8.9-1.fc6.x86_64 100% |=========================| 5.5 kB    00:00     
---> Package libwpd.x86_64 0:0.8.9-1.fc6 set to be updated
---> Downloading header for openssh to pack into transaction set.
openssh-4.3p2-18.fc6.x86_ 100% |=========================|  35 kB    00:00     
---> Package openssh.x86_64 0:4.3p2-18.fc6 set to be updated
---> Package firefox.i386 0:1.5.0.10-5.fc6 set to be updated
---> Package net-snmp-libs.x86_64 1:5.3.1-13.fc6 set to be updated
---> Package autofs.x86_64 1:5.0.1-0.rc3.26 set to be updated
---> Package dhcdbd.x86_64 0:2.1-2.fc6 set to be updated
---> Package selinux-policy.noarch 0:2.4.6-42.fc6 set to be updated
---> Downloading header for openssh-clients to pack into transaction set.
openssh-clients-4.3p2-18. 100% |=========================|  34 kB    00:00     
---> Package openssh-clients.x86_64 0:4.3p2-18.fc6 set to be updated
---> Package ntp.x86_64 0:4.2.4p0-1.fc6 set to be updated
---> Package evolution-data-server-devel.i386 0:1.8.3-3.fc6 set to be updated
---> Package firefox-devel.i386 0:1.5.0.10-5.fc6 set to be updated
---> Package firefox-devel.x86_64 0:1.5.0.10-5.fc6 set to be updated
---> Downloading header for openssh-server to pack into transaction set.
openssh-server-4.3p2-18.f 100% |=========================|  35 kB    00:00     
---> Package openssh-server.x86_64 0:4.3p2-18.fc6 set to be updated
---> Package kernel-devel.x86_64 0:2.6.20-1.2925.fc6 set to be installed
---> Downloading header for gnupg to pack into transaction set.
gnupg-1.4.7-5.x86_64.rpm  100% |=========================|  22 kB    00:00     
---> Package gnupg.x86_64 0:1.4.7-5 set to be updated
---> Package kernel-headers.x86_64 0:2.6.20-1.2925.fc6 set to be updated
---> Package selinux-policy-targeted.noarch 0:2.4.6-42.fc6 set to be updated
---> Package evolution-data-server.x86_64 0:1.8.3-3.fc6 set to be updated
---> Package net-snmp.x86_64 1:5.3.1-13.fc6 set to be updated
---> Package mkinitrd.x86_64 0:5.1.19.0.3-1 set to be updated
---> Package firefox.x86_64 0:1.5.0.10-5.fc6 set to be updated
---> Package nash.x86_64 0:5.1.19.0.3-1 set to be updated
---> Package evolution-data-server-devel.x86_64 0:1.8.3-3.fc6 set to be updated
---> Package libpcap.x86_64 14:0.9.4-10.fc6 set to be updated
---> Downloading header for openssh-askpass to pack into transaction set.
openssh-askpass-4.3p2-18. 100% |=========================|  32 kB    00:00     
---> Package openssh-askpass.x86_64 0:4.3p2-18.fc6 set to be updated
--> Running transaction check
--> Processing Dependency: compat-gcc-34 = 3.4.6-4 for package: compat-gcc-34-c++
--> Processing Dependency: libstdc++-libc6.1-1.so.2 for package: jikes
Traceback (most recent call last):
  File "/usr/bin/yum", line 29, in ?
    yummain.main(sys.argv[1:])
  File "/usr/share/yum-cli/yummain.py", line 135, in main
    (result, resultmsgs) = base.buildTransaction() 
  File "/usr/lib/python2.4/site-packages/yum/__init__.py", line 441, in
buildTransaction
    (rescode, restring) = self.resolveDeps()
  File "/usr/lib/python2.4/site-packages/yum/depsolve.py", line 243, in resolveDeps
    (checkdep, missing, conflict, errormsgs) = self._processReq(dep)
  File "/usr/lib/python2.4/site-packages/yum/depsolve.py", line 391, in _processReq
    requirementTuple, errormsgs)
  File "/usr/lib/python2.4/site-packages/yum/depsolve.py", line 428, in
_requiringFromInstalled
    providers = self.rpmdb.whatProvides(needname, needflags, needversion)
  File "/usr/lib/python2.4/site-packages/yum/rpmsack.py", line 390, in whatProvides
    pkgs = self.searchProvides(name)
  File "/usr/lib/python2.4/site-packages/yum/rpmsack.py", line 141, in
searchProvides
    return self.searchPrco(name, 'provides')
  File "/usr/lib/python2.4/site-packages/yum/rpmsack.py", line 123, in searchPrco
    if not result.has_key(po.pkgid):
TypeError: list objects are unhashable
main /home/francis> rpm -Vv yum yum-utils
........ c /etc/logrotate.d/yum
........   /etc/yum
S.5....T c /etc/yum.conf
........   /etc/yum.repos.d
........   /etc/yum/pluginconf.d
........ c /etc/yum/pluginconf.d/installonlyn.conf
........   /usr/bin/yum
........   /usr/lib/python2.4/site-packages/rpmUtils
........   /usr/lib/python2.4/site-packages/rpmUtils/__init__.py
........   /usr/lib/python2.4/site-packages/rpmUtils/__init__.pyc
........   /usr/lib/python2.4/site-packages/rpmUtils/__init__.pyo
........   /usr/lib/python2.4/site-packages/rpmUtils/arch.py
........   /usr/lib/python2.4/site-packages/rpmUtils/arch.pyc
........   /usr/lib/python2.4/site-packages/rpmUtils/arch.pyo
........   /usr/lib/python2.4/site-packages/rpmUtils/miscutils.py
........   /usr/lib/python2.4/site-packages/rpmUtils/miscutils.pyc
........   /usr/lib/python2.4/site-packages/rpmUtils/miscutils.pyo
........   /usr/lib/python2.4/site-packages/rpmUtils/oldUtils.py
........   /usr/lib/python2.4/site-packages/rpmUtils/oldUtils.pyc
........   /usr/lib/python2.4/site-packages/rpmUtils/oldUtils.pyo
........   /usr/lib/python2.4/site-packages/rpmUtils/transaction.py
........   /usr/lib/python2.4/site-packages/rpmUtils/transaction.pyc
........   /usr/lib/python2.4/site-packages/rpmUtils/transaction.pyo
........   /usr/lib/python2.4/site-packages/rpmUtils/updates.py
........   /usr/lib/python2.4/site-packages/rpmUtils/updates.pyc
........   /usr/lib/python2.4/site-packages/rpmUtils/updates.pyo
........   /usr/lib/python2.4/site-packages/yum
........   /usr/lib/python2.4/site-packages/yum/Errors.py
........   /usr/lib/python2.4/site-packages/yum/Errors.pyc
........   /usr/lib/python2.4/site-packages/yum/Errors.pyo
........   /usr/lib/python2.4/site-packages/yum/__init__.py
........   /usr/lib/python2.4/site-packages/yum/__init__.pyc
........   /usr/lib/python2.4/site-packages/yum/__init__.pyo
........   /usr/lib/python2.4/site-packages/yum/comps.py
........   /usr/lib/python2.4/site-packages/yum/comps.pyc
........   /usr/lib/python2.4/site-packages/yum/comps.pyo
........   /usr/lib/python2.4/site-packages/yum/config.py
........   /usr/lib/python2.4/site-packages/yum/config.pyc
........   /usr/lib/python2.4/site-packages/yum/config.pyo
........   /usr/lib/python2.4/site-packages/yum/constants.py
........   /usr/lib/python2.4/site-packages/yum/constants.pyc
........   /usr/lib/python2.4/site-packages/yum/constants.pyo
........   /usr/lib/python2.4/site-packages/yum/depsolve.py
........   /usr/lib/python2.4/site-packages/yum/depsolve.pyc
........   /usr/lib/python2.4/site-packages/yum/depsolve.pyo
........   /usr/lib/python2.4/site-packages/yum/failover.py
........   /usr/lib/python2.4/site-packages/yum/failover.pyc
........   /usr/lib/python2.4/site-packages/yum/failover.pyo
........   /usr/lib/python2.4/site-packages/yum/logginglevels.py
........   /usr/lib/python2.4/site-packages/yum/logginglevels.pyc
........   /usr/lib/python2.4/site-packages/yum/logginglevels.pyo
........   /usr/lib/python2.4/site-packages/yum/mdparser.py
........   /usr/lib/python2.4/site-packages/yum/mdparser.pyc
........   /usr/lib/python2.4/site-packages/yum/mdparser.pyo
........   /usr/lib/python2.4/site-packages/yum/misc.py
........   /usr/lib/python2.4/site-packages/yum/misc.pyc
........   /usr/lib/python2.4/site-packages/yum/misc.pyo
........   /usr/lib/python2.4/site-packages/yum/packageSack.py
........   /usr/lib/python2.4/site-packages/yum/packageSack.pyc
........   /usr/lib/python2.4/site-packages/yum/packageSack.pyo
........   /usr/lib/python2.4/site-packages/yum/packages.py
........   /usr/lib/python2.4/site-packages/yum/packages.pyc
........   /usr/lib/python2.4/site-packages/yum/packages.pyo
........   /usr/lib/python2.4/site-packages/yum/parser.py
........   /usr/lib/python2.4/site-packages/yum/parser.pyc
........   /usr/lib/python2.4/site-packages/yum/parser.pyo
........   /usr/lib/python2.4/site-packages/yum/pgpmsg.py
........   /usr/lib/python2.4/site-packages/yum/pgpmsg.pyc
........   /usr/lib/python2.4/site-packages/yum/pgpmsg.pyo
........   /usr/lib/python2.4/site-packages/yum/plugins.py
........   /usr/lib/python2.4/site-packages/yum/plugins.pyc
........   /usr/lib/python2.4/site-packages/yum/plugins.pyo
........   /usr/lib/python2.4/site-packages/yum/repoMDObject.py
........   /usr/lib/python2.4/site-packages/yum/repoMDObject.pyc
........   /usr/lib/python2.4/site-packages/yum/repoMDObject.pyo
........   /usr/lib/python2.4/site-packages/yum/repos.py
........   /usr/lib/python2.4/site-packages/yum/repos.pyc
........   /usr/lib/python2.4/site-packages/yum/repos.pyo
........   /usr/lib/python2.4/site-packages/yum/rpmsack.py
........   /usr/lib/python2.4/site-packages/yum/rpmsack.pyc
........   /usr/lib/python2.4/site-packages/yum/rpmsack.pyo
........   /usr/lib/python2.4/site-packages/yum/sqlitecache.py
........   /usr/lib/python2.4/site-packages/yum/sqlitecache.pyc
........   /usr/lib/python2.4/site-packages/yum/sqlitecache.pyo
........   /usr/lib/python2.4/site-packages/yum/sqlitesack.py
........   /usr/lib/python2.4/site-packages/yum/sqlitesack.pyc
........   /usr/lib/python2.4/site-packages/yum/sqlitesack.pyo
........   /usr/lib/python2.4/site-packages/yum/storagefactory.py
........   /usr/lib/python2.4/site-packages/yum/storagefactory.pyc
........   /usr/lib/python2.4/site-packages/yum/storagefactory.pyo
........   /usr/lib/python2.4/site-packages/yum/transactioninfo.py
........   /usr/lib/python2.4/site-packages/yum/transactioninfo.pyc
........   /usr/lib/python2.4/site-packages/yum/transactioninfo.pyo
........   /usr/lib/python2.4/site-packages/yum/update_md.py
........   /usr/lib/python2.4/site-packages/yum/update_md.pyc
........   /usr/lib/python2.4/site-packages/yum/update_md.pyo
........   /usr/lib/python2.4/site-packages/yum/yumRepo.py
........   /usr/lib/python2.4/site-packages/yum/yumRepo.pyc
........   /usr/lib/python2.4/site-packages/yum/yumRepo.pyo
........   /usr/lib/yum-plugins
........   /usr/lib/yum-plugins/installonlyn.py
........   /usr/lib/yum-plugins/installonlyn.pyc
........   /usr/lib/yum-plugins/installonlyn.pyo
........   /usr/share/doc/yum-3.0.3
........ d /usr/share/doc/yum-3.0.3/AUTHORS
........ d /usr/share/doc/yum-3.0.3/COPYING
........ d /usr/share/doc/yum-3.0.3/ChangeLog
........ d /usr/share/doc/yum-3.0.3/INSTALL
........ d /usr/share/doc/yum-3.0.3/README
........ d /usr/share/doc/yum-3.0.3/TODO
........ d /usr/share/man/man5/yum.conf.5.gz
........ d /usr/share/man/man8/yum-shell.8.gz
........ d /usr/share/man/man8/yum.8.gz
........   /usr/share/yum-cli
........   /usr/share/yum-cli/callback.py
........   /usr/share/yum-cli/callback.pyc
........   /usr/share/yum-cli/callback.pyo
........   /usr/share/yum-cli/cli.py
........   /usr/share/yum-cli/cli.pyc
........   /usr/share/yum-cli/cli.pyo
........   /usr/share/yum-cli/i18n.py
........   /usr/share/yum-cli/i18n.pyc
........   /usr/share/yum-cli/i18n.pyo
........   /usr/share/yum-cli/output.py
........   /usr/share/yum-cli/output.pyc
........   /usr/share/yum-cli/output.pyo
........   /usr/share/yum-cli/progress_meter.py
........   /usr/share/yum-cli/progress_meter.pyc
........   /usr/share/yum-cli/progress_meter.pyo
........   /usr/share/yum-cli/shell.py
........   /usr/share/yum-cli/shell.pyc
........   /usr/share/yum-cli/shell.pyo
........   /usr/share/yum-cli/translate.py
........   /usr/share/yum-cli/translate.pyc
........   /usr/share/yum-cli/translate.pyo
........   /usr/share/yum-cli/yumcommands.py
........   /usr/share/yum-cli/yumcommands.pyc
........   /usr/share/yum-cli/yumcommands.pyo
........   /usr/share/yum-cli/yummain.py
........   /usr/share/yum-cli/yummain.pyc
........   /usr/share/yum-cli/yummain.pyo
........   /usr/share/yum-cli/yumupd.py
........   /usr/share/yum-cli/yumupd.pyc
........   /usr/share/yum-cli/yumupd.pyo
........   /var/cache/yum
package yum-utils is not installed
main /home/francis> yum list yum\*
Loading "installonlyn" plugin
Setting up repositories
Reading repository metadata in from local files
Excluding Packages in global exclude list
Finished
Installed Packages
yum.noarch                               3.0.3-1.fc6            installed       
yum-metadata-parser.x86_64               1.0.3-1.fc6            installed       
yum-updatesd.noarch                      3.0.3-1.fc6            installed       
yumex.noarch                             1.2.2-1.0.fc6          installed       
Available Packages
yum-allowdowngrade.noarch                1.0.3-1.fc6            extras          
yum-arch.noarch                          2.2.2-2.fc6            extras          
yum-changelog.noarch                     1.0.3-1.fc6            extras          
yum-downloadonly.noarch                  1.0.3-1.fc6            extras          
yum-fastestmirror.noarch                 1.0.3-1.fc6            extras          
yum-fedorakmod.noarch                    1.0.3-1.fc6            extras          
yum-kernel-module.noarch                 1.0.3-1.fc6            extras          
yum-priorities.noarch                    1.0.3-1.fc6            extras          
yum-protectbase.noarch                   1.0.3-1.fc6            extras          
yum-skip-broken.noarch                   1.0.3-1.fc6            extras          
yum-tsflags.noarch                       1.0.3-1.fc6            extras          
yum-updateonboot.noarch                  1.0.3-1.fc6            extras          
yum-utils.noarch                         1.0.3-1.fc6            extras          
yum-versionlock.noarch                   1.0.3-1.fc6            extras          
main /home/francis> 

Comment 6 Francis Upton 2007-03-21 16:40:11 EDT
If this helps any, I have an old version of jikes installed:

main /home/francis> yum list jikes
Loading "installonlyn" plugin
Setting up repositories
Reading repository metadata in from local files
Excluding Packages in global exclude list
Finished
Installed Packages
jikes.i386                               1.12-1                 installed       
main /home/francis> 


And I have "jikes" in my excluded packages in the yum.conf file (I don't want a
newer version).

IIRC I installed jikes directly from an RPM and not from yum.
Comment 7 Francis Upton 2007-03-22 00:56:01 EDT
Removing jikes (rpm -e) make this problem go away.
Comment 8 Jeremy Katz 2007-03-23 11:44:57 EDT
This should be fixed for Fedora 7.  Unfortunately, the fix is a little risky to
backport to FC6

Note You need to log in before you can comment on or make changes to this bug.